; Author:      Roy Klein Gebbinck (www.b-k-g.nl)
; Version:     20180628: First version.
; Created for: https://forum.bricsys.com/discussion/33802/copybase-toolpalette-issue-concerning-pre-selected-entities

(defun ToolPalSelFix_CallBackCmdWillStart (rea lst)
  (cond
    ((= (car lst) "EXECUTETOOL")
      (setq *ToolPalSelFix_ssImp* (ssget "_I"))
    )
    (*ToolPalSelFix_ssImp*
      (sssetfirst nil *ToolPalSelFix_ssImp*)
      (setq *ToolPalSelFix_ssImp* nil)
      (gc)
    )
  )
)

(defun ToolPalSelFix_OnLoad ()
  (if *ToolPalSelFix_cmdReactor* (vlr-remove *ToolPalSelFix_cmdReactor*))
  (setq *ToolPalSelFix_cmdReactor*
    (vlr-command-reactor
      nil ; No data.
      '(
        (:vlr-commandwillstart . ToolPalSelFix_CallBackCmdWillStart)
      )
    )
  )
  (setq *ToolPalSelFix_ssImp* nil)
  (gc)
)

(ToolPalSelFix_OnLoad)
(princ "\n*** ToolPalSelFix is active *** ")
(princ)
